> **Can't find what you're looking for?** Use `search_docs` on the docs MCP server at `https://docs.prividium.com/api/mcp` to find what you need.
>
> **Have feedback?** Use `submit_feedback` on the same MCP server.

# public-check

## GET /public-check/bytecode-disclosure

`GET /public-check/bytecode-disclosure`

Check if a contract is disclosing bytecode

### Query parameters

- `address` `string` _(required)_

### Responses

#### `200`: Default Response

Body (`application/json`):

- `authorized` `boolean` _(required)_

#### `400`: Default Response

Body (`application/json`):

- `error` `object` _(required)_
  - `code` `string` _(required)_
  - `message` `string` _(required)_
  - `issues` `unknown[]`

### Example request

```bash
curl '/api/public-check/bytecode-disclosure?address=string'
```

```ts
fetch('/api/public-check/bytecode-disclosure?address=string')
```
